## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

POST

/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts

Try it

### Create an Assertion

#### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "params": {}
}'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts"

payload = { "params": {} }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({params: {}})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'params' => [
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts"

payload := strings.NewReader("{\n  \"params\": {}\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java

```java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts")
  .header("X-API-Key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"params\": {}\n}")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"params\": {}\n}"

response = http.request(request)
puts response.read_body
```

### Response Codes

- **201**: Created successfully.
- **400**: Bad Request.
- **401**: Unauthorized.
- **402**: Payment Required.
- **403**: Forbidden.
- **404**: Not Found.
- **405**: Method Not Allowed.
- **409**: Conflict.
- **413**: Payload Too Large.
- **500**: Internal Server Error.
- **501**: Not Implemented.
- **502**: Bad Gateway.
- **503**: Service Unavailable.
- **504**: Gateway Timeout.

<details>
<summary>Example Response</summary>

```json
{
  "params": {},
  "_id": "<string>"
}
```

</details>

### Error Handling Examples

#### Bad Request

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Authorization

- **APIKeyHeader**: Required the API Key in the HTTP-Header.
- **Headers**:
  - **Accept**: Specifies the media type that the client expects in the response. Options: `application/json`, `application/xml`, etc.

### Path Parameters

- **playbookId**: Required unique identifier for the Playbook, must be `24` characters long.
- **stepId**: Required unique identifier for the Playbook Step, must also be `24` characters long.

### Body Parameters

- **type**: Type of the Assert. Valid options include: `assertText`, `assertData`, etc. 
- **params**: Object containing additional parameters.
